Bug 1101568 - (CVE-2018-14361) VUL-0: CVE-2018-14361: neomutt: nntp.c proceeds even ifmemory allocation fails for messages data.
(CVE-2018-14361)
VUL-0: CVE-2018-14361: neomutt: nntp.c proceeds even ifmemory allocation fail...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: David Sterba
Security Team bot
https://smash.suse.de/issue/210792/
:
Depends on:
Blocks: 1101428
  Show dependency treegraph
 
Reported: 2018-07-18 07:08 UTC by Karol Babioch
Modified: 2020-01-16 14:16 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-07-18 07:08:08 UTC
CVE-2018-14361

An issue was discovered in NeoMutt before 2018-07-16. nntp.c proceeds even if
memory allocation fails for messages data.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-14361
http://www.cvedetails.com/cve/CVE-2018-14361/
https://github.com/neomutt/neomutt/commit/9e927affe3a021175f354af5fa01d22657c20585
Comment 1 Swamp Workflow Management 2018-07-18 08:50:16 UTC
This is an autogenerated message for OBS integration:
This bug (1101568) was mentioned in
https://build.opensuse.org/request/show/623577 Factory / mutt
Comment 6 Swamp Workflow Management 2018-07-27 16:23:32 UTC
SUSE-SU-2018:2084-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.3.1
Comment 7 Swamp Workflow Management 2018-08-06 13:14:30 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 8 Swamp Workflow Management 2019-01-07 15:40:47 UTC
This is an autogenerated message for OBS integration:
This bug (1101568) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 9 Swamp Workflow Management 2019-01-17 17:11:23 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 10 Swamp Workflow Management 2019-05-09 10:09:45 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Wolfgang Frisch 2020-01-16 14:16:36 UTC
All fixed.